VisualEditor: Delete immediately before (or backspace after) a table cell moves text out of/into cell
Closed, ResolvedPublic

Description

User:NicoV at the English Wikipedia reports:
*In [[The Drover's Boy]], if you put the cursor just before the table and hit Del, the first title (Song title) is put outside the table while Performes becomes the first title.
*I saw this because I tried to insert a template just before the table, then deleted it => an empty line was visible before the table. When trying to delete this empty line, the first title was put outside the table.

I did some more testing and can confirm that:
*Pressing delete after the last character before a table deletes the first cell and moves the contents out of the table, and moves the second cell (including formatting) to the former position of the first cell. The position of the second cell is replaced with a blank cell.
*The same happens when pressing backspace before the first character of the first cell
*After repeating this sufficient times the contents of the last cell on the first line is moved out of the table and the line deleted.
*Pressing delete after the last character in the last cell, or backspace before the first character after the last cell, moves the whole of the next line (or title) into the last cell of the table, preserving formatting and links, etc.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=50286

bzimport set Reference to bz51624.
Thryduulf created this task.Via LegacyJul 18 2013, 4:59 PM
Thryduulf added a comment.Via ConduitJul 19 2013, 8:56 AM

A user at en.wp has reported what appears to be the same bug also occurring with image captions:
"Suppose an image lives between paragraphs 1 and 2. If I click before the first word of paragraph 2 and press "backspace", the rest of paragraph 2 gets moved into the caption of the image.

Suppose an image lives between paragraphs 1 and 2. If I click after the last word of paragraph 1 and press "delete", the image disappears and the caption gets moved to the end paragraph 1."

AKoval_WMF added a comment.Via ConduitFeb 12 2014, 6:32 PM

A user on Polish Wikipedia reports this is happening there, too. Please see Bug:61272.

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 1:29 AM
Jdforrester-WMF lowered the priority of this task from "High" to "Normal".Via WebJan 9 2015, 10:55 PM
matmarex added a subscriber: matmarex.Via WebApr 19 2015, 6:26 PM

None of the reported issues happen any more. I think most of it was fixed a long time ago, I fixed the last stragglers with T92702.

matmarex closed this task as "Resolved".Via WebApr 19 2015, 6:26 PM
matmarex set Security to None.

Add Comment